## Parameters

`module G : Graph.Sig.I`

## Signature

`module VS : sig ... end`
`module UndG : sig ... end`
`val undirect : G.t -> UndG.t`
`val clustering_coefficient : G.t -> G.vertex -> float`
`val average_distance : G.t -> VS.elt -> float`
`module MSin : sig ... end`
`module MSout : sig ... end`
`val _avgdegree : float option Stdlib.ref`
`val _outdata : (int, int) ExtLib.Hashtbl.t option Stdlib.ref`
`val _indata : (int, int) ExtLib.Hashtbl.t option Stdlib.ref`
`val _outdatadegree : int MSout.t Stdlib.ref`
`val _indatadegree : int MSin.t Stdlib.ref`
`val degree : G.t -> float * int * int * (int, int) ExtLib.Hashtbl.t * (int, int) ExtLib.Hashtbl.t`
`val computeDegree : G.t -> unit`
`val maxOutDegree : G.t -> int`
`val maxInDegree : G.t -> int`
`val averageDegree : G.t -> float`
`val zdp : G.t -> int`
`val scatteredPlotIn : G.t -> (int, int) ExtLib.Hashtbl.t`
`val scatteredPlotOut : G.t -> (int, int) ExtLib.Hashtbl.t`
`val scatteredPlotBoth : G.t -> (int * int, int) ExtLib.Hashtbl.t`
`val centralityDegree : G.t -> (G.t -> G.vertex -> 'a list) -> float`
`val centralityOutDegree : G.t -> float`
`val centralityInDegree : G.t -> float`
`val clustering : G.t -> float`
`val averageShortestPathLength : G.t -> float`
`val components : G.t -> G.V.t list array`
`val weaklycomponents : G.t -> UndG.V.t list array`
`val numberComponents : 'a array -> int`
`val averageComponents : 'a list array -> float`
`val largestComponent : 'a list array -> int`
`val density : G.t -> float`
`val averageTwoStepReach : G.t -> float`
`val removezdp : G.t -> G.t`